## debian-edu-install 1.523

=== Makefile ===
#
# Install file for Debian-Edu debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

PART_RECIPES = \
        90edumain \
        92edumain+ws \
        96eduwork \
        91edumain+ltsp \
        94edultsp \
        97minimal \
        98edustandalone

PART_ARCHES = \
        recipes \
        recipes-powerpc-powermac_newworld \
        recipes-powerpc-prep

WRITE_ARCH_RECIPE = \
	sed -e "/>*>ARCH SPECIFIC<*</ r lib/partman/$$partarch-specific" \
	    -e '/>*>ARCH SPECIFIC<*</ d' \
	lib/partman/common/$$partrecipe > lib/partman/$$partarch/$$partrecipe

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone ltsp-chroot

all: check
check: update-partman-recipes check-scripts # check-defaults

install: 
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

# This check need write access to the debconf database.
check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c preseed-values/defaults.$$profile; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		dash -n $$script ; \
	done

update-partman-recipes: lib/partman/common/* lib/partman/recipes*-specific
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
               $(WRITE_ARCH_RECIPE) ;\
            done ; \
        done
	LC_ALL=C printf "Last made $@ `date` for:\n$(?F)\n" > $@	# Avoid redundant makes.

install-partman-recipes: update-partman-recipes
	for partarch in $(PART_ARCHES) ; do \
		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
        done

minimum-diskreq:
	echo "Minimum disk requirements, in MiB:"
	for profile in lib/partman/recipes*/* ; do \
	  echo -n "$$profile	" ; \
	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
	done

status:
	( for f in debian/po/*.po; do \
		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
	done ) | egrep 'fuzzy|untranslated' || true
dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
debian-edu-install (1.523) unstable; urgency=low

  * Update version to "6.0.3+edu0 beta3" in version and make sure
    previous version "6.0.3+edu0 beta2" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Jan 2012 18:24:51 +0100

debian-edu-install (1.522) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Move pre-pkgsel and finish-install code to adjust tasksel and set
    up network from debian-edu-install to debian-edu-config, to make
    it easier to change the network configuration, avoid problems with
    updating the PXE installation and bringing all related
    configuration into the debian-edu-config package.
  * Move code setting environment variable http_proxy to a common
    function to make it easier to handle proxies in early-command
    PXE preseeding.
  * Remove obsolete workaround for bug #358001 fixed 2006-10-05,
    and leave tune2fs intact in d-i.
  * Grant local user sudo access on Standalone installations.
  * Remove obsolete preseeding for lwat, ifplugd, insserv and
    usplash.
  * Add new partman recipe 98edustandalone for standalone
    installations, with separate /, /boot, /var and /home to make sure
    users can not take down services by filling /var/, and services
    filling /var/ can't fill the users home directory and block the
    user from logging in.  Previously standalone installs would only
    get /, /boot and /usr/ (same as workstation).  Set the minimum
    partition sizes for / to 8704 MiB and /var/ to 3640 MiB after
    measuring the use.
  * Add support for showing test results on GDM in addition to KDM.
  * Make sure to abort the installation if no network is available and
    not using the DVD (Closes: #655304).  This require new debconf
    templates.  Not marking them for translation until we have
    improved the English text.
  * Change installer preseeding to ask for initial user information on
    main-server.
  * Depend on debian-edu-config (>= 1.448) to get a version able to
    use the initial user information.

  * Debconf translation updates:
    - Updates for it.po from Claudio Carboncini.
    - Updates for fr.po from Christian Perrier (Closes: #654913)
    - Updates for da.po from Joe Dalton (Closes: #654914).
    - Updates for pt.po from Miguel Figueiredo (Closes: #654919).
    - Updates for ru.po from Yuri Kozlov (Closes: #654960).
    - Updates for nl.po from Jeroen Schot (Closes: #654880).
    - Updates for sv.po from Martin Bagge (Closes: #654976).
    - Updates for cs.po from Miroslav Kure (Closes: #655092).
    - Updates for ja.po from Kenshi Muto (Closes: #655720).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 21 Jan 2012 20:37:17 +0100

debian-edu-install (1.521) unstable; urgency=low

  * Update version to "6.0.3+edu0 beta2" in version and make sure
    previous version "6.0.3+edu0 beta1" is listed in
    debian/debian-edu-install.postinst.

  [ Petter Reinholdtsen ]
  * Add new tool report-if-disk-too-small to detect and report when
    the available disk space is too small for the requested profile
    selection, and ask if the the installation should be aborted when
    this happen.  Call it from a new partman commit.d hook
    05debian-edu-too-small until bug #653305 is fixed.
  * Make sure to install commit.d hook with execute bit set, to get
    the hook from 2006 for mounting home0 nosuid activated.  Make hook
    include /lib/partman/lib/base.sh instead of non-existing
    /lib/partman/definitions.sh.
  * Also ignore error messages like 'wget: server returned error:
    HTTP/1.1 404 Not Found' when checking if the installation was
    successful while we wait for solution on BTS report #587493.
  * Move pre-pkgsel code to create localadmin user to the
    debian-edu-config package.
  * Move pre-pkgsel code to pass root password to the kerberos setup
    process to the debian-edu-config package.
  * Reintroduce the installation of etckeeper in post-base-installer,
    to ensure changes to /etc/ is being recorded.
  * Add code in finish-install to stop the network for DVD installs,
    if the interfaces were enabled by us.  This stop dhclient from
    blocking umounting /var/.
  * Remove obsolete code in pre-pkgsel calling the removed script
    /etc/init.d/update-hostname during installation.
  * Remove obsolete code in finish-install introduced to handle
    version skew when /usr/share/debian-edu-config/d-i/finish-install
    was introduced.
  * Update code comments, and spread FIXMEs around where work should
    be done.
  * Adjust pre-pkgsel to not change hostname for Standalone and
    Roaming-Workstation installations.  Use the value set by
    netcfg from DHCP instead.
  * Increase minimum size of /usr/ for Workstation and Roaming
    Workstation from 3776 to 4032, have enough space for the files
    needed when installing a Roaming workstation.
  * Make debian-edu-install depend on debian-edu-config (>= 1.447) to
    enforce that we get the new version.

  [ Mike Gabriel ]
  * Update disk-too-small debconf template.

  * Debconf translation updates (before the last update):
    - Updates for zh.po from Andrew Lee (李健秋).
    - Updates for ja.po from Kenshi Muto (Closes: #653685).
    - Updates for sk.po from Ivan Masár (Closes: #653684).
    - Updates for da.po from Joe Dalton (Closes: #653688).
    - Updates for ru.po from Yuri Kozlov (Closes: #653900).
    - Updates for pt.po from Miguel Figueiredo (Closes: #654795).

  [ Petter Reinholdtsen ]
  * Adjust disk-too-small template text based on feedback from
    Christian Perrier.  This require a translation update.

  * Debconf translation updates (after last update):
    - Updates for nb.po from Petter Reinholdtsen.
    - Updates for es.po from Rafael Rivas.
    - Updates for de.po from Andreas B. Mundt and Holger Levsen.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Jan 2012 10:48:01 +0100

=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: dash (>= 0.5.4-12)
Standards-Version: 3.9.1
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-install/
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
XS-DM-Upload-Allowed: yes

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debian-edu-config (>= 1.448), libgnome2-perl | libqt-perl
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, dmidecode-udeb, localechooser, keyboard-setup, download-installer | load-cdrom
XB-Installer-Menu-Item: 2350
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, driver-injection-disk-detect, configured-network, debian-edu-archive-keyring-udeb, debian-edu-profile-udeb, user-setup-udeb,  clock-setup, pkgsel, ltsp-client-builder, localization-config-udeb
XB-Installer-Menu-Item: 7750
Description: Execute Debian Edu debian-installer profile
 This dependency package forces the installer to choose the menu items
 needed for use in debian-installer.  This is done by making this
 package appear very early in the menu, and depending on the required
 packages in sequence.
 .
 This is part of the Debian Edu project.

## debian-edu-install 1.528

=== debian/changelog ===
debian-edu-install (1.528) unstable; urgency=low

  * Update version to "6.0.4+edu+r0" in version and make sure
    previous version "6.0.4+edu0 rc3" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Mar 2012 20:05:21 +0100

debian-edu-install (1.527) unstable; urgency=low

  [ David Prévot ]
  * Debconf translation update:
    - Slovak (sk) from Ivan Masár. (Closes: #661124)
    - Danish (da) from Joe Hansen. (Closes: #661185)
    - French (fr) from Christian Perrier. (Closes: #661191)
    - Russian (ru) from Yuri Kozlov. (Closes: #661227)
    - Japanese (ja) from Kenshi Muto. (Closes: #661320)
    - Swedish (sv) from Martin Bagge. (Closes: #661352)
    - Portuguese (pt) from Miguel Figueiredo. (Closes: #661579)
    - Turkish (tr) from Mert Dirik. (Closes: #661705)

  [ Holger Levsen ]
  * Update version to "6.0.4+edu0 rc3" in version and make sure
    previous version "6.0.4+edu0 rc2" is listed in
    debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Feb 2012 14:15:02 +0100

debian-edu-install (1.526) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update version to "6.0.4+edu0 rc2" in version and make sure
    previous version "6.0.4+edu0 rc1" is listed in
    debian/debian-edu-install.postinst.
  * Give an error if Roaming Workstation is selected with Main Server,
    as this combination do not work.

  [ David Prévot ]
  * Add Chinese debconf templates translation by Ji ZhengYu
    <zhengyuji@gmail.com>. (Closes: #659874)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Feb 2012 13:23:17 +0100

debian-edu-install (1.525) unstable; urgency=low

  * Update version to "6.0.4+edu0 rc1" in version and make sure
    previous version "6.0.4+edu0 beta3" is listed in
    debian/debian-edu-install.postinst.
  * Add Indonesian debconf templates translation by Kurniawan Haikal 
    <conecones@gmail.com> (Closes: #659491)

 -- Holger Levsen <holger@debian.org>  Sat, 11 Feb 2012 22:03:34 +0100

debian-edu-install (1.524) unstable; urgency=low

  * Update version to "6.0.4+edu0 beta3" in version and make sure
    previous version "6.0.3+edu0 beta3" is listed in
    debian/debian-edu-install.postinst.

  * Increase minimum size of /var/ for Standalone installs from 3640 to
    4032 MiB to avoid having to resize the LVM partitions during
    installation.  2986 MiB is used during a PXE installation.
  * Increase minimum size of /var/ for Main Server+Thin Client Server
    installs from 4480 to 5632 MiB to avoid having to resize the LVM
    partitions during installation.  At least 4205 MiB is used during
    a PXE installation.
  * Increase max size for /var/spool/squid/ for Main Server and Main
    Server+Thin Client Server installs from 4096 to 15360 MiB, to make
    sure there is plenty of room for an entire PXE installation when
    installing on a large disk.
  * Change partitioning for Roaming Workstation, use same partitioning
    as Standalone.  This means dropping separate /usr/ and create
    separate /home/ and /var/, to not cause problem for system
    services when the user fill up the home partition.
  * Increase minimum size of / for Workstation installs from 4032 to
    5056 MiB to avoid having to resize the LVM partitions during
    installation.  At least 3784 MiB is used during a PXE
    installation.  Increase maximum size from 5120 to 10240 as well to
    have some extra to fill in /var/ after installation.
  * Disable automatic resizing of partitions during installation, as it
    seem to hang and block grub from completing the installation.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Feb 2012 19:27:36 +0100

## debian-edu-install 1.701

=== Makefile ===
--- 
+++ 
@@ -81,8 +81,8 @@
         done
 
 minimum-diskreq:
-	echo "Minimum disk requirements, in MiB:"
-	for profile in lib/partman/recipes*/* ; do \
+	@echo "Minimum disk requirements, in MiB:"
+	@for profile in lib/partman/recipes*/* ; do \
 	  echo -n "$$profile	" ; \
 	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
 	done

=== debian/changelog ===
debian-edu-install (1.701) unstable; urgency=low

  * Depend on libgtk2-perl, not libgnome2-perl, as this is required by the
    latest debconf Gnome frontend. Thanks to Collin Watson for the patch!
    (Closes: #631327) 

 -- Holger Levsen <holger@debian.org>  Fri, 22 Jun 2012 22:52:48 +0000

debian-edu-install (1.700) unstable; urgency=low

  * Bump version number to 1.700 to make obvious this is targeted for wheezy. 
  * Update version to "7.0.0+edu+alpha0" in version and make sure previous 
    version "6.0.4+edu+r0" is listed in debian/debian-edu-install.postinst.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Jun 2012 07:03:39 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: debian-edu-install
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, debian-edu-config (>= 1.448), libgnome2-perl | libqt-perl
+Depends: ${misc:Depends}, debian-edu-config (>= 1.448), libgtk2-perl (>= 1:1.130) | libqt-perl
 Description: Set d-i values to install Debian Edu without questions
  This package provides default answers for packages using debconf, and 
  configures services to work out of the box after an installation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone ltsp-chroot

INSTALL      = install -D -m0755
INSTALL_DATA = install -D -m0644

PACKAGES=$(shell dh_listpackages)

INSTALLUDEB=debian-edu-install-udeb
PROFILEUDEB=debian-edu-profile-udeb
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=all
INSTALLUDEBFILENAME=$(INSTALLUDEB)_$(VERSION)_$(ARCH).udeb
REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb

build:
	$(MAKE)

clean:
	debconf-updatepo
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_prep
	dh_testdir
	dh_testroot
	dh_installdirs

install-debian-edu-install: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	$(INSTALL) -d $(CURDIR)/debian/debian-edu-install/lib/debian-edu-install/

.PHONY: install-debian-edu-profile-udeb
install-debian-edu-profile-udeb: install-common
	$(INSTALL) base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/10debian-edu-profile-udeb
	$(INSTALL) post-base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/01debian-edu-profile-udeb
	$(INSTALL) pre-pkgsel $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/pre-pkgsel.d/10debian-edu-profile-udeb
	$(INSTALL) finish-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/13debian-edu-profile-udeb
	$(INSTALL) apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	$(MAKE) install-partman-recipes DESTDIR=$(CURDIR)/debian/debian-edu-profile-udeb
	$(INSTALL) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
	$(INSTALL) lib/debian-edu-common $(CURDIR)/debian/debian-edu-profile-udeb/lib/
	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
	$(INSTALL_DATA) version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install/.

	for p in tools/edu-etcvcs tools/edu-is-testinstall tools/laptop-detect tools/report-if-disk-too-small ; do \
	    $(INSTALL) $$p $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin/. ; \
	done

# Build architecture-independent files here.
binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb

debian-edu-install-udeb: # install-debian-edu-install-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	cp debian/debian-edu-install-udeb.isinstallable debian/debian-edu-install-udeb/DEBIAN/isinstallable
	chmod 755 debian/debian-edu-install-udeb/DEBIAN/isinstallable
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)

.PHONY: debian-edu-profile-udeb
debian-edu-profile-udeb: install-debian-edu-profile-udeb
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@ -n
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	cp debian/debian-edu-profile-udeb.isinstallable debian/debian-edu-profile-udeb/DEBIAN/isinstallable
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)

debian-edu-install: install-debian-edu-install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_installdebconf -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@
	dh_installmenu -p$@
	dh_installcron -p$@
	dh_installman -p$@
	dh_installinfo -p$@
	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."
	dh_installchangelogs -p$@
	dh_link -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## debian-edu-install 1.720%2Bdeb7u1

=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Steffen Joeris <white@debian.org>,
 Holger Levsen <holger@debian.org>,
 Patrick Winnertz <winnie@debian.org>,
 Vagrant Cascadian <vagrant@debian.org>,
 Andrew Lee (李健秋) <ajqlee@debian.org>,
 Andreas B. Mundt <andi.mundt@web.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: dash (>= 0.5.4-12)
Standards-Version: 3.9.4
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-install/
Vcs-Svn: svn://anonscm.debian.org/debian-edu/trunk/src/debian-edu-install/

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debian-edu-config (>= 1.448), libgtk2-perl (>= 1:1.130)
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, dmidecode-udeb, localechooser, keyboard-setup, download-installer | load-cdrom
XB-Installer-Menu-Item: 2350
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, driver-injection-disk-detect, configured-network, debian-edu-archive-keyring-udeb, debian-edu-profile-udeb, user-setup-udeb,  clock-setup, pkgsel, ltsp-client-builder
XB-Installer-Menu-Item: 7750
Description: Execute Debian Edu debian-installer profile
 This dependency package forces the installer to choose the menu items
 needed for use in debian-installer.  This is done by making this
 package appear very early in the menu, and depending on the required
 packages in sequence.
 .
 This is part of the Debian Edu project.

## debian-edu-install 1.720+deb7u1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	lib/partman/common/$$partrecipe > lib/partman/$$partarch/$$partrecipe
 
 # Created using 'file * */*|grep Bourne|cut -d: -f1'
-SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)
+SCRIPTS = $(shell file * */*|egrep 'Bourne|POSIX'|cut -d: -f1)
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \

=== debian/changelog ===
debian-edu-install (1.720+deb7u1) wheezy; urgency=low

  * No change upload targeted at wheezy-proposed-update for the upcoming 7.2
    release. 

 -- Holger Levsen <holger@debian.org>  Sat, 05 Oct 2013 21:54:51 +0200

debian-edu-install (1.720) unstable; urgency=low

  * Change version number from 7.1+edu0~b2 to 7.1+edu0 in preparation of the
    Debian Edu Wheezy release.
  * Automatic updates of lib/partman/recipes*- at build-time.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Sep 2013 22:40:29 +0200

debian-edu-install (1.719) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change version number from 7.1+edu0~b1 to 7.1+edu0~b2 in
    preparation for beta 2.
  * Increase max partition size of /var/spool/squid in 92edumain+ws
    from 4096 to 15360 MiB, to match the sizes of 90edumain and
    91edumain+ltsp.
  * Increase max partition size of /skole/backup from 2048 to 32768,
    to avoid filling it imediately when the disk is large.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 Aug 2013 16:19:30 +0200

debian-edu-install (1.718) unstable; urgency=low

  [ Holger Levsen ]
  * Replaced tabs in previous changelog entry with spaces.

  [ Petter Reinholdtsen ]
  * Change version number from 7.1+edu0~b0 to 7.1+edu0~b1 in
    preparation for beta 1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Aug 2013 17:43:35 +0200

debian-edu-install (1.717) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Update version number to 7.1+edu0~b0 to prepare for beta0.
  * Document disk usage and adjust minimum and maximum partition
    sizes to have room for everything that is installed:
      main-server (tested i386):
        /     min  128 ->  256.
        /boot min   64 ->  128.
        /usr  min 1024 -> 3648.
        /var  min  640 -> 2048.
      main-server+workstation (tested i386):
        /    min   128 ->   246.
        /usr min 11328 -> 11584.
      thin-client-server (tested i386):
        /usr min 11008 -> 11264.
        /opt min 11584 -> 11776.
      main-server+thin-client-server (tested i386):
        /usr min 11776 -> 11408, max 14336 -> 17408.
        /opt min 11456 -> 11485, max 13312 -> 15360.
      roaming-workstation (tested i386):
        /home min 128 -> 320.
  * Remove Morten Werner Forsbring from uploaders.  Thank you Werner for
    all your good work.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Jul 2013 23:10:59 +0200

debian-edu-install (1.716) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Drop choose-mirror as a dependency for debian-edu-install-udeb,
    and instead ask people to specify proxy on the boot prompt to
    avoid several extra questions during installation.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.716~svn81542:

  [ Petter Reinholdtsen ]
  * Adjust debian-edu-profile, making sure proxy settings are used also
    for netinst CD (and not only for PXE installs), and adjust the
    load_proxy_conf() function to log what proxy setting is used
    (closes: #715403).

  * Uploaded to the Debian Edu archive as debian-edu-install 1.716~svn81495:

  [ Petter Reinholdtsen ]
  * Document disk usage for a amd64 main-server+thin-client-server
    installed via PXE and adjust the minimum partition size for /usr
    from 11115 to 11456 and /opt from 11456 to 11712 on this profile
    to have room for everything that is needed.
  * Adjust d-i main-menu ordering, add choose-mirror as dependency of
    debian-edu-install-udeb before debian-edu-profile-udeb, to make it
    possible to set the proxy before selecting the profile on the
    netinst CD.

  * Translation updates:
     - Swedish, thanks to Martin Bagge. (Closes: #714648)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Jul 2013 14:43:43 +0200

debian-edu-install (1.715) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typos (missing template type) in default-wordlist and
    default-ispell preseeding.  Thanks to Wolfgang Schweer for
    discovering this.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Jun 2013 08:16:21 +0200

debian-edu-install (1.714) unstable; urgency=low

  [ David Prévot ]
  * debian/debian-edu-install.xdebian-edu-firstboot.init: Fix another
    successful(l) occurrence.

  [ Petter Reinholdtsen ]
  * Allow /boot in all partman recipes to grow to 1 GiB with large
    disks, to handle more kernels and make it easier to add extra
    stuff in the grub menu (like memdisk firmware upgraders etc. :)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Jun 2013 10:49:39 +0200

debian-edu-install (1.713) unstable; urgency=low

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn81018:

  [ Petter Reinholdtsen ]
  * Do not recognize ISO type (cd_type) 'not_complete' as
    non-networked ISOs when checking if there is required network
    during installation, now that the ISO build is patched to set type
    dvd and bluray for non-complete DVD and Blueray builds.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80973:

  [ Petter Reinholdtsen ]
  * Recognize bluray and custom ISOs as non-networked ISOs when checking
    if there is required network during installation.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80884:

  * Update version to "7.1+edu0~a3" (to be consistent with Debian and our
    manual) in version and make sure previous version "7.0.0+edu+alpha3"
    is listed in debian/debian-edu-install.postinst.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80595:

  [ Petter Reinholdtsen ]
  * Preseed dictionaries-common/default-ispell to "Manual symlink
    setting" as a workaround for dictionary-common asking a strange
    question about what ispell dictionary to use when installing using
    some languages (Closes: #641225).

  * Translation updates:
     - Polish, thanks to Mirosław Gabruś.

  * Uploaded to the Debian Edu archive as debian-edu-install 1.713~svn80578:

  [ Petter Reinholdtsen ]


=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,10 @@
 REPORTBUGUDEBFILENAME=$(REPORTBUGUDEB)_$(VERSION)_$(ARCH).udeb
 PROFILEUDEBFILENAME=$(PROFILEUDEB)_$(VERSION)_$(ARCH).udeb
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	$(MAKE)
 
 clean:
@@ -120,4 +123,4 @@
 binary-arch: build install
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-arch build-indep build clean binary-indep binary-arch binary install configure

## debian-edu-install 1.818

=== debian/changelog ===
debian-edu-install (1.818) unstable; urgency=low

  * Re-enable eatmydata during installation now that bug #765694 is fixed
    in unstable and accepted for testing.
  * Adjust edu-eatmydata-install to not report an error when eatmydata
    already is activated, but instead log that it is already in place.
    This avoid a bogus error being reported to those testing Debian
    Edu Jessie (Closes: #770110).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 19 Nov 2014 00:41:44 +0100

debian-edu-install (1.817) unstable; urgency=low

  * Disable eatmydata for quick install for both the normal and LTSP
    installation until eatmydata on i386 work properly.  Workaround
    for bug #765694.
  * Update version number to 8.0+edu0~alpha1 in preparation of a new
    alpha release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Nov 2014 11:59:31 +0100

debian-edu-install (1.816) unstable; urgency=medium

  * Change current version number to 8.0+edu0~alpha0 in preparation
    of the alpha 0 release.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Oct 2014 19:09:21 +0100

debian-edu-install (1.815) unstable; urgency=medium

  * Make it easier to enable a test intallation by adding 'testinstall'
    on the d-i kernel argument line.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Oct 2014 22:23:26 +0200

debian-edu-install (1.814) unstable; urgency=medium

  * Mention jessie in internal template in
    debian/debian-edu-profile-udeb.templates.
  * Fix version (which gets written into /etc/debian-edu(config) to say
    8.0+edu+alpha0 instead of 8.0.0+edu+alpha0.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Oct 2014 23:19:56 +0200

debian-edu-install (1.813) unstable; urgency=medium

  [ Hoger Levsen ]
  * Install /usr/lib/debian-edu-install/version in the debian-edu-profile-udeb
    too.

  [ Petter Reinholdtsen ]
  * Add version number to /etc/debian-edu/config if it is missing.
    Fixing problem caused by bug introduced in version 1.810 and fixed
    in version 1.813.
  * Install LTSP using --eatmydata to speed up the installation of thin
    client servers.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 Oct 2014 13:14:29 +0200

debian-edu-install (1.812) unstable; urgency=low

  * Enable the quick installation now that bug #759590 in eatmydata is
    fixed in testing.
  * Rewrite code in firstboot script to detect a working X frontend
    for debconf to also work with the new multiarch libraries, to get
    the test result presented in X.
  * Make sure firstboot script run after lightdm is started too.
  * Adjust firstboot script to flag that it was done before the test
    result is presented, to ensure it only run once no matter what
    happen with the test result dialog.
  * Change firstboot script to avoid checking for a working X
    authority file twice when restarted by debconf.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Oct 2014 22:55:00 +0200

debian-edu-install (1.811) unstable; urgency=low

  * Correct white space in exim4 preseeding for the main server and
    clients.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Oct 2014 12:45:06 +0200

debian-edu-install (1.810) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add first debconf preseeding draft for mail clients on the Debian
    Edu network.
  * Update disk space usage on amd64 minimal and i386 workstation.

  [ Debconf translation updates ]
  * Dutch by Frans Spiesschaert (Closes: #763642)

  [ Holger Levsen ]
  * debian/rules: switch to dh9 style.
  * debian/control:
    - Bump standards version to 3.9.6.
    - Use https for Alioth cgit URL.
    - Use "Package: udeb" where applicable instead of the legacy header
      "XC-Package: udeb".

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Oct 2014 07:34:02 +0200

debian-edu-install (1.809) unstable; urgency=high

  [ Wolfgang Schweer ]
  * Update disk space usage on amd64 main+workstation.

  [ Petter Reinholdtsen ]
  * Update disk space usage on i386 minimal, i386 standalone and amd64
    workstation.
  * Raise the minimum /boot size to 256 MiB to have space for several
    kernels at the same time.
  * Adjust minimum size for /usr on workstation from 11072 to 11712
    MiB, /usr/ on main+workstation from 11584 to 11904 MiB and / on
    standalone from 11328 to 11520 MiB.
  * Improve output from minimum-diskreq makefile target.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 Oct 2014 09:30:56 +0200

debian-edu-install (1.808) unstable; urgency=high

  * Update disk space usage on amd64 main+ltsp, and adjust minimum sizes
    for /usr from 11584 to 11904 MiB and /opt from 11776 to 11840 MiB to
    avoid warnings from Nagios in the default setup.
  * Fix typo in edu-eatmydata-install, make sure the warning function
    exist.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 23:24:29 +0200

debian-edu-install (1.807) unstable; urgency=high

  * Make sure d-i set up the same APT sources we would get after
    running cfengine, to allow our cfengine rules to be removed.  Use
    http.debian.net as the default mirror.
  * Save a process by using exec in eatmydata dpkg wrapper.
  * Fix typo in log message from apt-setup code.
  * Remove unused code to add debian and skolelinux APT source in our
    apt-setup script.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 Oct 2014 14:44:00 +0200

debian-edu-install (1.806) unstable; urgency=high

  * Not using eatmydata is a warning, not an error.
  * Adjust partitioning setup for squid3, create /var/spool/squid3/, not
    /var/spool/squid/.
  * Start on draft exim4 preseeding values for the main server.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Oct 2014 15:06:20 +0200

debian-edu-install (1.805) unstable; urgency=high

  * Add partman/not-enough-space.d hook to provide warning before the
    partitioning take place if the disk is too small.  Rephase debconf
    dialog text to reflect this new and more safe behaviour and remove


## debian-edu-install 1.819

=== debian/changelog ===
debian-edu-install (1.819) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values: Adjust slbackup location strings for main-server
    and thin-client-server profiles (Closes: #772160).

  [ Holger Levsen ]
  * Update Dutch translation of debconf messages, thanks to Frans
    Spiesschaert. (Closes: #774574)
  * Update version number to 8.0+edu0~alpha2 in preparation of the next
    alpha release.

 -- Holger Levsen <holger@debian.org>  Mon, 05 Jan 2015 19:50:35 +0100

## debian-edu-install 1.821

=== debian/changelog ===
debian-edu-install (1.821) unstable; urgency=high

  * Update version number to 8.0+edu0~beta1 in preparation of our first Jessie
    beta release.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Apr 2015 19:27:05 +0200

debian-edu-install (1.820) unstable; urgency=high

  [ Wolfgang Schweer ]
  * preseed-values/defaults.thin-client-server:
    Remove preseeding for LTSP build-client-opts as this breaks PXE
    installs. Setting '--eatmydata' is now done in (d-e-config)
    share/ltsp/plugins/ltsp-build-client/Debian-custom/080-eatmydata.
    (Closes: #781515).

  [ Holger Levsen ]
  * debian-edu-profile: drop sugar from supported profiles as it has been
    removed from Jessie, see #782504.
  * Drop Sugar from debian/debian-edu-profile-udeb.templates and
    debian/po/templates.pot as well.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Apr 2015 18:38:01 +0200

=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Andreas B. Mundt <andi.mundt@web.de>,
           Alexander Alemayhu <alexander@bitraf.no>,
           Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 9),
               po-debconf
Build-Depends-Indep: dash (>= 0.5.4-12)
Standards-Version: 3.9.6
Homepage: http://www.skolelinux.org
Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/debian-edu-install.git
Vcs-Git: git://anonscm.debian.org/debian-edu/debian-edu-install.git

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends},
         debian-edu-config (>= 1.448),
         libgtk2-perl (>= 1:1.130),
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends},
         dmidecode-udeb,
         download-installer | load-cdrom,
         keyboard-setup,
         localechooser,
XB-Installer-Menu-Item: 2350
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends},
         clock-setup,
         configured-network,
         debian-edu-archive-keyring-udeb,
         debian-edu-profile-udeb,
         driver-injection-disk-detect,
         ltsp-client-builder,
         pkgsel,
         user-setup-udeb,
XB-Installer-Menu-Item: 7750
Description: Execute Debian Edu debian-installer profile
 This dependency package forces the installer to choose the menu items
 needed for use in debian-installer.  This is done by making this
 package appear very early in the menu, and depending on the required
 packages in sequence.
 .
 This is part of the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone ltsp-chroot

%:
	dh $@

override_dh_auto_install:
	#
	# debian-edu-install
	#
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	#
	# debian-edu-profile-udeb
	#
	$(MAKE) install-partman-recipes DESTDIR=$(CURDIR)/debian/debian-edu-profile-udeb
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
	for p in edu-etcvcs edu-is-testinstall laptop-detect report-if-disk-too-small edu-eatmydata-install ; do \
	    cp tools/$$p $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin/ ; \
	done
	cp base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/10debian-edu-profile-udeb
	cp post-base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/01debian-edu-profile-udeb
	cp pre-pkgsel $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/pre-pkgsel.d/10debian-edu-profile-udeb
	cp finish-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/13debian-edu-profile-udeb
	cp apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	cp version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install/
	for profile in $(DEFAULTS) ; do \
	    cp preseed-values/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	cp lib/partman/not-enough-space.d/01debian-edu-install-udeb $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/not-enough-space.d/01debian-edu-install-udeb
	cp lib/debian-edu-common $(CURDIR)/debian/debian-edu-profile-udeb/lib/
	cp debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin

override_dh_installinit:
	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."

## debian-edu-install 1.821%2bdeb8u1

=== debian/changelog ===
debian-edu-install (1.821+deb8u1) jessie; urgency=medium

  * Update version number to 8+edu0 in preparation of our first Jessie release.

 -- Holger Levsen <holger@debian.org>  Tue, 24 May 2016 16:20:10 +0200

## debian-edu-install 1.821+deb8u2

=== Makefile ===
--- 
+++ 
@@ -83,8 +83,8 @@
 minimum-diskreq:
 	@echo "Minimum disk requirements, in MiB:"
 	@for profile in lib/partman/recipes*/* ; do \
-	  echo -n "$$profile	" ; \
-	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
+	  req=$$(grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }') ; \
+	  echo "$$req	$$profile" ; \
 	done
 
 status:

=== debian/changelog ===
debian-edu-install (1.821+deb8u2) jessie; urgency=medium

  * Update version number to 8+edu1 in preparation of our second Debian Edu
    release based on Debian Jessie.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Jan 2017 14:28:45 +0100

## debian-edu-install 1.910

=== debian/changelog ===
debian-edu-install (1.910) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-install.postinst: Rename LTSP-server -> LTSP-Server to
    avoid unknown profile name.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Dec 2016 18:24:51 +0100

debian-edu-install (1.909) unstable; urgency=medium

  * Translation updates:
     - Russian, thanks to Yuri Kozlov. (Closes: #846907)
     - Danish, thanks to Joe Dalton. (Closes: #846939)
     - Japanese, thanks to Kenshi Muto. (Closes: #847042)
     - Brazilian Portuguese, thanks to Adriano Rafael Gomes. (Closes: #848202)
     - Catalan, thanks to Innocent De Marchi. (Closes: #847968)
  * Makefile, status target: don't hide completed translations.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Dec 2016 00:20:32 +0100

debian-edu-install (1.908) unstable; urgency=medium

  * Rename thin-client-server profile to ltsp-server-profile.
    (Closes: #588510) 
    Some occurrences of Thin-Client-Server are still left in the code to
    support upgrades of systems installed before Stretch.
  * Update, translate and (un)fuzzy translations of the debconf templates for
    this change.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Dec 2016 16:04:54 +0100

debian-edu-install (1.907) unstable; urgency=medium

  [ Holger Levsen ]
  * Add depends to lsb-base (>= 3.0-6), thanks lintian.
  * Add .gitignore file to be able to ignore .nobackup.

  [ Wolfgang Schweer ]
  * Add another 4 GiB to min and max partition sizes for /opt to get
    enough space for LTSP NBD image files when updating an image.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Mon, 17 Oct 2016 14:38:29 +0200

debian-edu-install (1.906) unstable; urgency=medium

  * Stop using our own apt archive on ftp.skolelinux.org, see #836375:
    - debian/control: remove depends on debian-edu-archive-keyring-udeb.
    - pre-pkgsel: don't install the udeb and thus don'r run apt-update.
    - debian-edu-profile: drop d-i preseeding for local0 repository,
      also use ftp.debian.org to test whether the network is up.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Sep 2016 16:25:16 +0200

debian-edu-install (1.905) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add preseeding for tftpd-hpa also to defaults.main-server to enable
    installations via PXE for a pure main server.
  * Add preseeding for icinga2-classicui to defaults.main-server and
    drop the one for nagios3 now that nagios3 is missing and icinga2 is used.

 -- Holger Levsen <holger@debian.org>  Sat, 27 Aug 2016 12:30:54 +0200

debian-edu-install (1.904) unstable; urgency=medium

  [ Translation updates ]
  * Updated Latvian by Aigars Mahinovs.
  * Updated Basque by Iñaki Larrañaga (Dooteo).

 -- Holger Levsen <holger@debian.org>  Thu, 18 Aug 2016 13:03:26 +0200

debian-edu-install (1.903) unstable; urgency=medium

  * Override init.d-script-depends-on-all-virtual-facility lintian error as
    this we really want to run /etc/init.d/xdebian-edu-firstboot last in the
    bootsequence and only do this once per machine anyway.
  * Remove versioned dependencies from debian-edu-config and libgtk2-perl, the
    versions in jessie are recent enough.
  * Drop empty TODO file from source package.
  * Remove Andreas B. Mundt from uploaders - thanks for all your work, Andi!
  * Remove Alexander Alemayhu from uploaders - thank you too, Alexander!

 -- Holger Levsen <holger@debian.org>  Mon, 15 Aug 2016 15:23:42 +0200

debian-edu-install (1.902) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partion sizes (+4 GiB for /opt) in lib/partman/common like in
    lib/partman/recipes to have enough space for LTSP NBD image file. 
  * Update after running update-partman-recipes.
  * Add forgotten type 'string' to fix grub preseeding (defaults.common).

 -- Holger Levsen <holger@debian.org>  Sat, 28 May 2016 10:55:06 +0200

debian-edu-install (1.901) unstable; urgency=medium

  * Update Brazilian Portuguese of debconf messages, thanks to Adriano Rafael
    Gomes. (Closes: #798039)
  * Set version number to 9+edu0~a0 in preparation of our first Stretch alpha
    release.

 -- Holger Levsen <holger@debian.org>  Fri, 20 May 2016 11:53:39 +0200

debian-edu-install (1.900) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 1.900 as Debian 9 is targeted.
  * Add 4 GiB to min and max partition sizes for /opt to get enough
    space for LTSP NBD image file.
  * Adjust squid partition mountpoint after squid3 has been renamed.
  * Preseed: keep old style (aka unpredictable) network interfaces names
    until a better solution is found.

  [ Holger Levsen ]
  * Update version number to 9+edu0~alpha0 in preparation of our first Stretch
    alpha release.
  * debian/control:
    - Bump standards version to 3.9.8.
    - Vcs-Browser: use /git/ in URL instead of /cgit/. 

 -- Holger Levsen <holger@debian.org>  Thu, 19 May 2016 00:50:20 +0200
